!******************************************************************************!
!                                                                              !
!    fill_couplings4.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings4.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl4()
      coupl(nGC_1165) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1496) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
      coupl(nGC_1497) = 3d0*cima*(ca**3d0*l3*vev1 + ca**3d0*l4*vev1 + ca**3d0* &
                        l5*vev1 + 3d0*ca**2d0*l2*sa*vev2 - 2d0*ca**2d0*l3*sa*  &
                        vev2 - 2d0*ca**2d0*l4*sa*vev2 - 2d0*ca**2d0*l5*sa*vev2 &
                         + 3d0*ca*l1*sa**2d0*vev1 - 2d0*ca*l3*sa**2d0*vev1 -   &
                        2d0*ca*l4*sa**2d0*vev1 - 2d0*ca*l5*sa**2d0*vev1 + l3*sa&
                        **3d0*vev2 + l4*sa**3d0*vev2 + l5*sa**3d0*vev2)
      coupl(nGC_100) = cb**2d0*cima*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0*sb**  &
                       2d0/(2d0*sw**2d0)
      coupl(nGC_101) = cb**2d0*cima*ee**2d0/sw**2d0 + cima*ee**2d0*sb**2d0/sw**&
                       2d0
      coupl(nGC_102) = -ca**2d0*cb**2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/ &
                       2d0 - ca**2d0*cima*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca** &
                       2d0*cima*l4*sb**2d0/2d0 + ca**2d0*cima*l5*sb**2d0/2d0 + &
                       ca*cb*cima*ee**2d0*sa*sb/(2d0*sw**2d0) - ca*cb*cima*l1* &
                       sa*sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima*l3*sa*sb - &
                       cb**2d0*cima*ee**2d0*sa**2d0/(4d0*sw**2d0) + cb**2d0*   &
                       cima*l4*sa**2d0/2d0 + cb**2d0*cima*l5*sa**2d0/2d0 - cima&
                       *l4*sa**2d0*sb**2d0/2d0 - cima*l5*sa**2d0*sb**2d0/2d0
      coupl(nGC_103) = -ca**2d0*cb**2d0*cima*l5 - ca**2d0*cima*ee**2d0*sb**2d0 &
                       /(4d0*sw**2d0) + ca**2d0*cima*l5*sb**2d0 - ca**2d0*cima*&
                       ee**2d0*sb**2d0/(4d0*cw**2d0) + ca*cb*cima*ee**2d0*sa*sb&
                       /(2d0*sw**2d0) - ca*cb*cima*l1*sa*sb - ca*cb*cima*l2*sa*&
                       sb + 2d0*ca*cb*cima*l3*sa*sb + 2d0*ca*cb*cima*l4*sa*sb  &
                        - 2d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**2d0*sa*sb/( &
                       2d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa**2d0/(4d0*sw**2d0&
                       ) + cb**2d0*cima*l5*sa**2d0 - cb**2d0*cima*ee**2d0*sa** &
                       2d0/(4d0*cw**2d0) - cima*l5*sa**2d0*sb**2d0
      coupl(nGC_104) = -ca**2d0*cb**2d0*cima*l3 + ca**2d0*cima*ee**2d0*sb**2d0 &
                       /(4d0*sw**2d0) - ca**2d0*cima*l1*sb**2d0 - ca*cb*cima*ee&
                       **2d0*sa*sb/(2d0*sw**2d0) + 2d0*ca*cb*cima*l4*sa*sb +   &
                       2d0*ca*cb*cima*l5*sa*sb + cb**2d0*cima*ee**2d0*sa**2d0/(&
                       4d0*sw**2d0) - cb**2d0*cima*l2*sa**2d0 - cima*l3*sa**2d0&
                       *sb**2d0
      coupl(nGC_105) = -ca**2d0*cb**2d0*cima*l3 + ca**2d0*cima*ee**2d0*sb**2d0 &
                       /(4d0*sw**2d0) - ca**2d0*cima*l2*sb**2d0 - ca*cb*cima*ee&
                       **2d0*sa*sb/(2d0*sw**2d0) + 2d0*ca*cb*cima*l4*sa*sb +   &
                       2d0*ca*cb*cima*l5*sa*sb + cb**2d0*cima*ee**2d0*sa**2d0/(&
                       4d0*sw**2d0) - cb**2d0*cima*l1*sa**2d0 - cima*l3*sa**2d0&
                       *sb**2d0
      coupl(nGC_106) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca &
                       **2d0*cb**2d0*cima*l5 + ca**2d0*cima*ee**2d0*sb**2d0/(  &
                       4d0*sw**2d0) - ca**2d0*cima*l1*sb**2d0 + ca**2d0*cima*ee&
                       **2d0*sb**2d0/(4d0*cw**2d0) - ca*cb*cima*ee**2d0*sa*sb/(&
                       2d0*sw**2d0) + 4d0*ca*cb*cima*l5*sa*sb - ca*cb*cima*ee**&
                       2d0*sa*sb/(2d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa**2d0/(&
                       4d0*sw**2d0) - cb**2d0*cima*l2*sa**2d0 + cb**2d0*cima*ee&
                       **2d0*sa**2d0/(4d0*cw**2d0) - cima*l3*sa**2d0*sb**2d0 - &
                       cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0*sb**2d0
      coupl(nGC_107) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca &
                       **2d0*cb**2d0*cima*l5 + ca**2d0*cima*ee**2d0*sb**2d0/(  &
                       4d0*sw**2d0) - ca**2d0*cima*l2*sb**2d0 + ca**2d0*cima*ee&
                       **2d0*sb**2d0/(4d0*cw**2d0) - ca*cb*cima*ee**2d0*sa*sb/(&
                       2d0*sw**2d0) + 4d0*ca*cb*cima*l5*sa*sb - ca*cb*cima*ee**&
                       2d0*sa*sb/(2d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa**2d0/(&
                       4d0*sw**2d0) - cb**2d0*cima*l1*sa**2d0 + cb**2d0*cima*ee&
                       **2d0*sa**2d0/(4d0*cw**2d0) - cima*l3*sa**2d0*sb**2d0 - &
                       cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0*sb**2d0
      coupl(nGC_108) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*ee**2d0*sb**2d0 &
                       /(2d0*sw**2d0) - ca**2d0*cima*l1*sb**2d0 + ca*cb*cima*ee&
                       **2d0*sa*sb/sw**2d0 + 2d0*ca*cb*cima*l4*sa*sb + 2d0*ca* &
                       cb*cima*l5*sa*sb - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*sw &
                       **2d0) - cb**2d0*cima*l2*sa**2d0 - cima*l3*sa**2d0*sb** &
                       2d0
      coupl(nGC_109) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*ee**2d0*sb**2d0 &
                       /(2d0*sw**2d0) - ca**2d0*cima*l2*sb**2d0 + ca*cb*cima*ee&
                       **2d0*sa*sb/sw**2d0 + 2d0*ca*cb*cima*l4*sa*sb + 2d0*ca* &
                       cb*cima*l5*sa*sb - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*sw &
                       **2d0) - cb**2d0*cima*l1*sa**2d0 - cima*l3*sa**2d0*sb** &
                       2d0
      coupl(nGC_1508) = cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1509) = cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb**4d0*l5&
                         - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb**2d0 +   &
                        6d0*cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0 + 6d0* &
                        cb**2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 - l4*sb** &
                        4d0 - l5*sb**4d0)
      coupl(nGC_1500) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1501) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_1502) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1503) = cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb**4d0* &
                        l5 + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**2d0 - &
                        6d0*cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0 - 6d0* &
                        cb**2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 + l4*sb** &
                        4d0 + l5*sb**4d0)
      coupl(nGC_1505) = -cb**3d0*cima*sb
      coupl(nGC_1506) = cb*cima*sb**3d0
      coupl(nGC_1507) = cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1698) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1699) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1690) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1691) = ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_1692) = -ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_1693) = -ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw**2d0*sw)
      coupl(nGC_1694) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_1695) = ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw*sw**2d0)
      coupl(nGC_1696) = -4d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3  &
                         - 2d0*l4 - 2d0*l5)
      coupl(nGC_1697) = -cima*(cb - sb)**2d0*(cb + sb)**2d0
      coupl(nGC_2210) = 4d0*cima*ee**2d0/sw**3d0
      coupl(nGC_1988) = -ca*cima*sb**2d0*vev2
      coupl(nGC_181) = ca*cb*cima*ee**2d0/(2d0*sw) + cima*ee**2d0*sa*sb/(2d0*sw)
      coupl(nGC_1984) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1985) = -2d0*cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca* &
                        cb*l3*sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 -  &
                        ca*l5*sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb* &
                        vev1 - cb*l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa* &
                        sb*vev1 + l5*sa*sb**2d0*vev2)
      coupl(nGC_1499) = -cima*ee**2d0*(ca*cb + sa*sb)/sw
      coupl(nGC_1982) = sqrt(2d0)*(cb*ydo1 + sb*ydo2)/2d0
      coupl(nGC_1983) = sqrt(2d0)*sb/2d0
      coupl(nGC_813) = -coupl(nGC_201)/2d0
      coupl(nGC_811) = -coupl(nGC_215)
      coupl(nGC_817) = -coupl(nGC_374)
      coupl(nGC_815) = -coupl(nGC_178)
      coupl(nGC_819) = -coupl(nGC_12)
      coupl(nGC_1434) = cima*sb
      coupl(nGC_1435) = -cb*cima
      coupl(nGC_1436) = -2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca**  &
                        2d0*cb*l4*sb + ca**2d0*cb*l5*sb - 2d0*ca*cb**2d0*l5*sa &
                         + 2d0*ca*l5*sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**&
                        2d0*sb + cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
      coupl(nGC_1437) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_1430) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_1431) = -cima*(ca**2d0*cb**2d0 - ca**2d0*sb**2d0 + 2d0*ca*cb*sa&
                        *sb - cb**2d0*sa**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_1432) = -cima*(ca**2d0*cb*l1*sb + ca**2d0*cb*l2*sb - 2d0*ca**  &
                        2d0*cb*l3*sb - 2d0*ca**2d0*cb*l4*sb + 2d0*ca**2d0*cb*l5&
                        *sb - 4d0*ca*cb**2d0*l5*sa + 4d0*ca*l5*sa*sb**2d0 - cb*&
                        l1*sa**2d0*sb - cb*l2*sa**2d0*sb + 2d0*cb*l3*sa**2d0*sb&
                         + 2d0*cb*l4*sa**2d0*sb - 2d0*cb*l5*sa**2d0*sb)
      coupl(nGC_1433) = cima*(cb*yd13x3 + sb*yb2)
      coupl(nGC_1348) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_1349) = -ca**2d0*cb**2d0*cima
      coupl(nGC_1438) = -cb**2d0*cima*sa**2d0
      coupl(nGC_1439) = -ca**2d0*cima*sb**2d0
      coupl(nGC_1184) = -6d0*ca*cima*sa*(ca - sa)*(ca + sa)*(l1 + l2 - 2d0*l3  &
                         - 2d0*l4 - 2d0*l5)
      coupl(nGC_1185) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1186) = sqrt(2d0)*(cb*ye1 + sb*ye2)/2d0
      coupl(nGC_1187) = sqrt(2d0)*sb/2d0
      coupl(nGC_1180) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1181) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1182) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_1183) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_2242) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*  &
                        vev2)/(cw**2d0*sw**2d0)
      coupl(nGC_1189) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/(2d0*sw**2d0)
      coupl(nGC_2243) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*( &
                        ca*vev1 + sa*vev2)/(cw**2d0*sw**3d0)
      coupl(nGC_2240) = -cima*sb
      coupl(nGC_2241) = cb*cima
      coupl(nGC_929) = -2d0*coupl(nGC_25)
      coupl(nGC_927) = -2d0*coupl(nGC_213)
      coupl(nGC_925) = -coupl(nGC_213)
      coupl(nGC_923) = -coupl(nGC_205)
      coupl(nGC_921) = -coupl(nGC_344)
      coupl(nGC_1238) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1239) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1236) = -ca*cb**2d0*cima*sa
      coupl(nGC_1237) = ca*cima*sa*sb**2d0
      coupl(nGC_1234) = cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0&
                        *l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*sb  &
                         + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*l4&
                        *sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + l5&
                        *sa**2d0*sb**2d0)
      coupl(nGC_1235) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1230) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_2279) = -2d0*cima*ee**2d0/sw
      coupl(nGC_2394) = -cb*cima*sa**2d0*sb
      coupl(nGC_2189) = cima*sb
      coupl(nGC_2188) = cima*(cb*ym1 + sb*ym2)
      coupl(nGC_2341) = 2d0*cima*ee/sw
      coupl(nGC_247) = cb**3d0*l4*vev2/2d0 - cb**3d0*l5*vev2/2d0 - cb**2d0*l4* &
                       sb*vev1/2d0 + cb**2d0*l5*sb*vev1/2d0 + cb*l4*sb**2d0*   &
                       vev2/2d0 - cb*l5*sb**2d0*vev2/2d0 - l4*sb**3d0*vev1/2d0 &
                        + l5*sb**3d0*vev1/2d0
      coupl(nGC_2340) = 2d0*cima*cw*ee/sw
      coupl(nGC_597) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*( &
                       ca*vev1 + sa*vev2)/(cw**2d0*sw**3d0)
      coupl(nGC_1751) = cima*ee**2d0*(cb*vev1 + sb*vev2)/cw
      coupl(nGC_1750) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw**2d0)
      coupl(nGC_1753) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
      coupl(nGC_1752) = cima*ee**2d0*sb/(2d0*cw)
      coupl(nGC_1755) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_1754) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_119) = cb**2d0*cw*ee**2d0/(2d0*sw**2d0) + cb**2d0*ee**2d0/(2d0*&
                       cw) + cw*ee**2d0*sb**2d0/(2d0*sw**2d0) + ee**2d0*sb**2d0&
                       /(2d0*cw)
      coupl(nGC_118) = cb**2d0*cw*ee**2d0/(2d0*sw**2d0) - cb**2d0*ee**2d0/(2d0*&
                       cw) + cw*ee**2d0*sb**2d0/(2d0*sw**2d0) - ee**2d0*sb**2d0&
                       /(2d0*cw)
      coupl(nGC_117) = cb**2d0*cw*ee**2d0/(4d0*sw**2d0) + cb**2d0*ee**2d0/(4d0*&
                       cw) + cw*ee**2d0*sb**2d0/(4d0*sw**2d0) + ee**2d0*sb**2d0&
                       /(4d0*cw)
      coupl(nGC_116) = cb**2d0*cw*ee**2d0/(4d0*sw**2d0) - cb**2d0*ee**2d0/(4d0*&
                       cw) + cw*ee**2d0*sb**2d0/(4d0*sw**2d0) - ee**2d0*sb**2d0&
                       /(4d0*cw)
      coupl(nGC_115) = -cb**2d0*cw*ee**2d0/(4d0*sw**2d0) + cb**2d0*ee**2d0/(4d0&
                       *cw) - cw*ee**2d0*sb**2d0/(4d0*sw**2d0) + ee**2d0*sb**  &
                       2d0/(4d0*cw)
      coupl(nGC_114) = -cb**2d0*cw*ee**2d0/(4d0*sw**2d0) - cb**2d0*ee**2d0/(4d0&
                       *cw) - cw*ee**2d0*sb**2d0/(4d0*sw**2d0) - ee**2d0*sb**  &
                       2d0/(4d0*cw)
      coupl(nGC_113) = -cb**2d0*cw*ee**2d0/(2d0*sw**2d0) + cb**2d0*ee**2d0/(2d0&
                       *cw) - cw*ee**2d0*sb**2d0/(2d0*sw**2d0) + ee**2d0*sb**  &
                       2d0/(2d0*cw)
      coupl(nGC_112) = -cb**2d0*cw*ee**2d0/(2d0*sw**2d0) - cb**2d0*ee**2d0/(2d0&
                       *cw) - cw*ee**2d0*sb**2d0/(2d0*sw**2d0) - ee**2d0*sb**  &
                       2d0/(2d0*cw)
      coupl(nGC_111) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca &
                       **2d0*cb**2d0*cima*l5 - ca**2d0*cima*ee**2d0*sb**2d0/(  &
                       2d0*sw**2d0) - ca**2d0*cima*l2*sb**2d0 - ca**2d0*cima*ee&
                       **2d0*sb**2d0/(2d0*cw**2d0) + ca*cb*cima*ee**2d0*sa*sb/ &
                       sw**2d0 + 4d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**2d0* &
                       sa*sb/cw**2d0 - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*sw**  &
                       2d0) - cb**2d0*cima*l1*sa**2d0 - cb**2d0*cima*ee**2d0*sa&
                       **2d0/(2d0*cw**2d0) - cima*l3*sa**2d0*sb**2d0 - cima*l4*&
                       sa**2d0*sb**2d0 + cima*l5*sa**2d0*sb**2d0
      coupl(nGC_110) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca &
                       **2d0*cb**2d0*cima*l5 - ca**2d0*cima*ee**2d0*sb**2d0/(  &
                       2d0*sw**2d0) - ca**2d0*cima*l1*sb**2d0 - ca**2d0*cima*ee&
                       **2d0*sb**2d0/(2d0*cw**2d0) + ca*cb*cima*ee**2d0*sa*sb/ &
                       sw**2d0 + 4d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**2d0* &
                       sa*sb/cw**2d0 - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*sw**  &
                       2d0) - cb**2d0*cima*l2*sa**2d0 - cb**2d0*cima*ee**2d0*sa&
                       **2d0/(2d0*cw**2d0) - cima*l3*sa**2d0*sb**2d0 - cima*l4*&
                       sa**2d0*sb**2d0 + cima*l5*sa**2d0*sb**2d0
      coupl(nGC_801) = -2d0*coupl(nGC_184)
      coupl(nGC_803) = coupl(nGC_200)/2d0
      coupl(nGC_805) = -coupl(nGC_199)
      coupl(nGC_807) = -2d0*coupl(nGC_216)
      coupl(nGC_809) = coupl(nGC_201)/2d0
      coupl(nGC_899) = coupl(nGC_191)/2d0
      coupl(nGC_893) = -coupl(nGC_3)
      coupl(nGC_905) = -coupl(nGC_11)/2d0
      coupl(nGC_795) = -coupl(nGC_15)
      coupl(nGC_797) = -2d0*coupl(nGC_15)
      coupl(nGC_839) = coupl(nGC_10)/2d0
      coupl(nGC_835) = -2d0*coupl(nGC_172)
      coupl(nGC_837) = -coupl(nGC_356)
      coupl(nGC_831) = -coupl(nGC_371)
      coupl(nGC_833) = -2d0*coupl(nGC_8)
      coupl(nGC_909) = -2d0*coupl(nGC_217)
      coupl(nGC_901) = -coupl(nGC_191)
      coupl(nGC_903) = -2d0*coupl(nGC_183)
      coupl(nGC_907) = -2d0*coupl(nGC_179)
      coupl(nGC_891) = -coupl(nGC_184)
      coupl(nGC_895) = -2d0*coupl(nGC_26)
      coupl(nGC_829) = -coupl(nGC_383)
      coupl(nGC_823) = -2d0*coupl(nGC_215)
      coupl(nGC_827) = -2d0*coupl(nGC_189)
      coupl(nGC_825) = -coupl(nGC_368)
      coupl(nGC_917) = -coupl(nGC_14) + coupl(nGC_15)
      coupl(nGC_915) = -coupl(nGC_14) - coupl(nGC_15)
      coupl(nGC_913) = coupl(nGC_14) + coupl(nGC_15)
      coupl(nGC_911) = coupl(nGC_14) - coupl(nGC_15)
      coupl(nGC_919) = -coupl(nGC_386)
      coupl(nGC_859) = coupl(nGC_5)/2d0
      coupl(nGC_889) = -2d0*coupl(nGC_194)
      coupl(nGC_885) = -coupl(nGC_380)
      coupl(nGC_887) = -coupl(nGC_6)/2d0
      coupl(nGC_787) = 2d0*coupl(nGC_15)
      coupl(nGC_785) = coupl(nGC_6)/2d0
      coupl(nGC_845) = -coupl(nGC_4)
    end subroutine fill_couplings_mdl4
end module fill_couplings4
