!******************************************************************************!
!                                                                              !
!    ctparameter147.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter147.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 01:00             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter147
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter147()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dZHlHh_MS_QED2 = DeltaUV*(-24d0*Nc*cMB**2d0*coupl(nGC_339)*coupl(nGC_342)*   &
                   rMHH**2d0 + 24d0*Nc*cMB**2d0*coupl(nGC_339)*coupl(nGC_342)* &
                   rMHL**2d0 - 24d0*Nc*cMC**2d0*coupl(nGC_333)*coupl(nGC_336)* &
                   rMHH**2d0 + 24d0*Nc*cMC**2d0*coupl(nGC_333)*coupl(nGC_336)* &
                   rMHL**2d0 - 24d0*Nc*cMD**2d0*coupl(nGC_345)*coupl(nGC_348)* &
                   rMHH**2d0 + 24d0*Nc*cMD**2d0*coupl(nGC_345)*coupl(nGC_348)* &
                   rMHL**2d0 + 4d0*Nc*cMHH**2d0*coupl(nGC_333)*coupl(nGC_336)* &
                   rMHH**2d0 - 4d0*Nc*cMHH**2d0*coupl(nGC_333)*coupl(nGC_336)* &
                   rMHL**2d0 + 4d0*Nc*cMHH**2d0*coupl(nGC_339)*coupl(nGC_342)* &
                   rMHH**2d0 - 4d0*Nc*cMHH**2d0*coupl(nGC_339)*coupl(nGC_342)* &
                   rMHL**2d0 + 4d0*Nc*cMHH**2d0*coupl(nGC_345)*coupl(nGC_348)* &
                   rMHH**2d0 - 4d0*Nc*cMHH**2d0*coupl(nGC_345)*coupl(nGC_348)* &
                   rMHL**2d0 + 4d0*Nc*cMHH**2d0*coupl(nGC_363)*coupl(nGC_366)* &
                   rMHH**2d0 - 4d0*Nc*cMHH**2d0*coupl(nGC_363)*coupl(nGC_366)* &
                   rMHL**2d0 + 4d0*Nc*cMHH**2d0*coupl(nGC_369)*coupl(nGC_372)* &
                   rMHH**2d0 - 4d0*Nc*cMHH**2d0*coupl(nGC_369)*coupl(nGC_372)* &
                   rMHL**2d0 + 4d0*Nc*cMHH**2d0*coupl(nGC_381)*coupl(nGC_384)* &
                   rMHH**2d0 - 4d0*Nc*cMHH**2d0*coupl(nGC_381)*coupl(nGC_384)* &
                   rMHL**2d0 - 24d0*Nc*cMS**2d0*coupl(nGC_363)*coupl(nGC_366)* &
                   rMHH**2d0 + 24d0*Nc*cMS**2d0*coupl(nGC_363)*coupl(nGC_366)* &
                   rMHL**2d0 - 24d0*Nc*cMT**2d0*coupl(nGC_369)*coupl(nGC_372)* &
                   rMHH**2d0 + 24d0*Nc*cMT**2d0*coupl(nGC_369)*coupl(nGC_372)* &
                   rMHL**2d0 - 24d0*Nc*cMU**2d0*coupl(nGC_381)*coupl(nGC_384)* &
                   rMHH**2d0 + 24d0*Nc*cMU**2d0*coupl(nGC_381)*coupl(nGC_384)* &
                   rMHL**2d0 - 24d0*cME**2d0*coupl(nGC_351)*coupl(nGC_354)*rMHH&
                   **2d0 + 24d0*cME**2d0*coupl(nGC_351)*coupl(nGC_354)*rMHL**  &
                   2d0 - cima*cMHA**2d0*coupl(nGC_133)*rMHH**2d0 + cima*cMHA** &
                   2d0*coupl(nGC_133)*rMHL**2d0 - 2d0*cima*cMHC**2d0*coupl(    &
                   nGC_132)*rMHH**2d0 + 2d0*cima*cMHC**2d0*coupl(nGC_132)*rMHL &
                   **2d0 - cima*cMHH**2d0*coupl(nGC_17)*rMHH**2d0 + cima*cMHH**&
                   2d0*coupl(nGC_17)*rMHL**2d0 + 8d0*cMHH**2d0*coupl(nGC_172)* &
                   coupl(nGC_178)*rMHH**2d0 - 8d0*cMHH**2d0*coupl(nGC_172)*    &
                   coupl(nGC_178)*rMHL**2d0 + 8d0*cMHH**2d0*coupl(nGC_172)*    &
                   coupl(nGC_179)*rMHH**2d0 - 8d0*cMHH**2d0*coupl(nGC_172)*    &
                   coupl(nGC_179)*rMHL**2d0 + 8d0*cMHH**2d0*coupl(nGC_173)*    &
                   coupl(nGC_178)*rMHH**2d0 - 8d0*cMHH**2d0*coupl(nGC_173)*    &
                   coupl(nGC_178)*rMHL**2d0 + 8d0*cMHH**2d0*coupl(nGC_173)*    &
                   coupl(nGC_179)*rMHH**2d0 - 8d0*cMHH**2d0*coupl(nGC_173)*    &
                   coupl(nGC_179)*rMHL**2d0 + 8d0*cMHH**2d0*coupl(nGC_213)*    &
                   coupl(nGC_215)*rMHH**2d0 - 8d0*cMHH**2d0*coupl(nGC_213)*    &
                   coupl(nGC_215)*rMHL**2d0 + 8d0*cMHH**2d0*coupl(nGC_214)*    &
                   coupl(nGC_215)*rMHH**2d0 - 8d0*cMHH**2d0*coupl(nGC_214)*    &
                   coupl(nGC_215)*rMHL**2d0 + 4d0*cMHH**2d0*coupl(nGC_351)*    &
                   coupl(nGC_354)*rMHH**2d0 - 4d0*cMHH**2d0*coupl(nGC_351)*    &
                   coupl(nGC_354)*rMHL**2d0 + 4d0*cMHH**2d0*coupl(nGC_357)*    &
                   coupl(nGC_360)*rMHH**2d0 - 4d0*cMHH**2d0*coupl(nGC_357)*    &
                   coupl(nGC_360)*rMHL**2d0 + 4d0*cMHH**2d0*coupl(nGC_375)*    &
                   coupl(nGC_378)*rMHH**2d0 - 4d0*cMHH**2d0*coupl(nGC_375)*    &
                   coupl(nGC_378)*rMHL**2d0 - cima*cMHL**2d0*coupl(nGC_16)*rMHH&
                   **2d0 + cima*cMHL**2d0*coupl(nGC_16)*rMHL**2d0 - 24d0*cMM** &
                   2d0*coupl(nGC_357)*coupl(nGC_360)*rMHH**2d0 + 24d0*cMM**2d0*&
                   coupl(nGC_357)*coupl(nGC_360)*rMHL**2d0 - 24d0*cMTA**2d0*   &
                   coupl(nGC_375)*coupl(nGC_378)*rMHH**2d0 + 24d0*cMTA**2d0*   &
                   coupl(nGC_375)*coupl(nGC_378)*rMHL**2d0 - 2d0*cima*cMW**2d0*&
                   coupl(nGC_128)*rMHH**2d0 + 2d0*cima*cMW**2d0*coupl(nGC_128)*&
                   rMHL**2d0 - cima*cMZ**2d0*coupl(nGC_130)*rMHH**2d0 + cima*  &
                   cMZ**2d0*coupl(nGC_130)*rMHL**2d0 + coupl(nGC_233)*coupl(   &
                   nGC_235)*rMHH**2d0 - coupl(nGC_233)*coupl(nGC_235)*rMHL**2d0&
                    + 2d0*coupl(nGC_233)*coupl(nGC_236)*rMHH**2d0 - 2d0*coupl( &
                   nGC_233)*coupl(nGC_236)*rMHL**2d0 + coupl(nGC_234)*coupl(   &
                   nGC_236)*rMHH**2d0 - coupl(nGC_234)*coupl(nGC_236)*rMHL**2d0&
                    - 4d0*coupl(nGC_260)*coupl(nGC_271)*rMHH**2d0 + 4d0*coupl( &
                   nGC_260)*coupl(nGC_271)*rMHL**2d0 + 8d0*coupl(nGC_261)*coupl&
                   (nGC_272)*rMHH**2d0 - 8d0*coupl(nGC_261)*coupl(nGC_272)*rMHL&
                   **2d0 + 2d0*coupl(nGC_281)*coupl(nGC_291)*rMHH**2d0 - 2d0*  &
                   coupl(nGC_281)*coupl(nGC_291)*rMHL**2d0 + coupl(nGC_282)*   &
                   coupl(nGC_292)*rMHH**2d0 - coupl(nGC_282)*coupl(nGC_292)*   &
                   rMHL**2d0 + 4d0*coupl(nGC_297)*coupl(nGC_307)*rMHH**2d0 -   &
                   4d0*coupl(nGC_297)*coupl(nGC_307)*rMHL**2d0 + 2d0*coupl(    &
                   nGC_298)*coupl(nGC_308)*rMHH**2d0 - 2d0*coupl(nGC_298)*coupl&
                   (nGC_308)*rMHL**2d0 + 2d0*coupl(nGC_299)*coupl(nGC_313)*rMHH&
                   **2d0 - 2d0*coupl(nGC_299)*coupl(nGC_313)*rMHL**2d0 + coupl(&
                   nGC_300)*coupl(nGC_314)*rMHH**2d0 - coupl(nGC_300)*coupl(   &
                   nGC_314)*rMHL**2d0 - 2d0*coupl(nGC_328)*coupl(nGC_331)*rMHH &
                   **2d0 + 2d0*coupl(nGC_328)*coupl(nGC_331)*rMHL**2d0 + 4d0*  &
                   coupl(nGC_329)*coupl(nGC_332)*rMHH**2d0 - 4d0*coupl(nGC_329 &
                   )*coupl(nGC_332)*rMHL**2d0)/(16d0*pi**2d0*(cMHH**2d0*rMHH** &
                   2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*&
                   rMHL**2d0)) + 2d0*cima*(-rMHH**2d0 + rMHL**2d0)*(coupl(     &
                   nGC_236)*dtHl_MS_QED1/cMHL**2d0 + coupl(nGC_233)*           &
                   dtHh_MS_QED1/cMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*   &
                   rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0)
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter147
end module ctparameter147
