!******************************************************************************!
!                                                                              !
!    ctparameter71.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter71.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 01:00             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter71
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter71()
  if (dMC_QED2_scheme .eq. 0) then
    dMC_QED2 = cima*(coupl(nGC_333)*dtHl_QED1/cMHL**2d0 + coupl(nGC_336)*      &
               dtHh_QED1/cMHH**2d0) + (2d0*Ten550*cMC*coupl(nGC_2)**2d0 +      &
               Ten551*cMC*(-coupl(nGC_207)**2d0 + 4d0*coupl(nGC_207)*coupl(    &
               nGC_210) - coupl(nGC_210)**2d0) - Ten552*(2d0*cMC*coupl(nGC_197 &
               )**2d0 + cMC*coupl(nGC_337)**2d0 + cMC*coupl(nGC_367)**2d0 + 2d0&
               *cMS*coupl(nGC_337)*coupl(nGC_367))/2d0 - Ten553*cMC*coupl(     &
               nGC_335)**2d0 + Ten554*cMC*coupl(nGC_336)**2d0 + Ten555*cMC*    &
               coupl(nGC_333)**2d0 - 2d0*Ten556*cMC*coupl(nGC_2)**2d0 + Ten557*&
               cMC*(-coupl(nGC_207)**2d0 - coupl(nGC_210)**2d0 + coupl(nGC_338 &
               )**2d0) - Ten558*cMC*(2d0*coupl(nGC_197)**2d0 + coupl(nGC_337)**&
               2d0 + coupl(nGC_367)**2d0)/2d0 + Ten559*cMC*(coupl(nGC_334)**2d0&
                + coupl(nGC_364)**2d0)/2d0 - Ten560*cMC*coupl(nGC_335)**2d0 -  &
               Ten561*cMC*coupl(nGC_336)**2d0 - Ten562*cMC*coupl(nGC_333)**2d0 &
                - Ten563*cMS*coupl(nGC_334)*coupl(nGC_364) + 2d0*Ten564*cMC*   &
               coupl(nGC_335)**2d0*rMC*(-cMC + rMC) + 2d0*Ten565*cMC*coupl(    &
               nGC_336)**2d0*rMC*(-cMC + rMC) + 2d0*Ten566*cMC*coupl(nGC_333)**&
               2d0*rMC*(-cMC + rMC) + 4d0*Ten567*coupl(nGC_2)**2d0*rMC*(2d0*cMC&
               **2d0 - 3d0*cMC*rMC + rMC**2d0) + 2d0*Ten568*rMC*(4d0*cMC**2d0* &
               coupl(nGC_207)*coupl(nGC_210) - cMC**2d0*coupl(nGC_338)**2d0 -  &
               cMC*coupl(nGC_207)**2d0*rMC - 4d0*cMC*coupl(nGC_207)*coupl(     &
               nGC_210)*rMC - cMC*coupl(nGC_210)**2d0*rMC + 2d0*cMC*coupl(     &
               nGC_338)**2d0*rMC + coupl(nGC_207)**2d0*rMC**2d0 + coupl(nGC_210&
               )**2d0*rMC**2d0 - coupl(nGC_338)**2d0*rMC**2d0) + Ten569*rMC*(- &
               2d0*cMC*cMS*coupl(nGC_337)*coupl(nGC_367) - 2d0*cMC*coupl(      &
               nGC_197)**2d0*rMC - cMC*coupl(nGC_337)**2d0*rMC - cMC*coupl(    &
               nGC_367)**2d0*rMC + 2d0*cMS*coupl(nGC_337)*coupl(nGC_367)*rMC + &
               2d0*coupl(nGC_197)**2d0*rMC**2d0 + coupl(nGC_337)**2d0*rMC**2d0 &
                + coupl(nGC_367)**2d0*rMC**2d0) + 2d0*Ten570*cMS*coupl(nGC_334 &
               )*coupl(nGC_364)*rMC*(-cMC + rMC) + 2d0*Ten571*coupl(nGC_335)** &
               2d0*rMC**2d0*(-cMC + rMC) + 2d0*Ten572*coupl(nGC_336)**2d0*rMC**&
               2d0*(cMC - rMC) + 2d0*Ten573*coupl(nGC_333)**2d0*rMC**2d0*(cMC  &
                - rMC) + 4d0*Ten574*coupl(nGC_2)**2d0*rMC**2d0*(-cMC + rMC) +  &
               2d0*Ten575*rMC**2d0*(-cMC*coupl(nGC_207)**2d0 - cMC*coupl(      &
               nGC_210)**2d0 + cMC*coupl(nGC_338)**2d0 + coupl(nGC_207)**2d0*  &
               rMC + coupl(nGC_210)**2d0*rMC - coupl(nGC_338)**2d0*rMC) +      &
               Ten576*rMC**2d0*(-2d0*cMC*coupl(nGC_197)**2d0 - cMC*coupl(      &
               nGC_337)**2d0 - cMC*coupl(nGC_367)**2d0 + 2d0*coupl(nGC_197)**  &
               2d0*rMC + coupl(nGC_337)**2d0*rMC + coupl(nGC_367)**2d0*rMC) +  &
               Ten577*rMC**2d0*(cMC*coupl(nGC_334)**2d0 + cMC*coupl(nGC_364)** &
               2d0 - coupl(nGC_334)**2d0*rMC - coupl(nGC_364)**2d0*rMC) + (-   &
               64d0*pi*aEW*cMC**2d0 + 64d0*pi*aEW*rMC**2d0 + 9d0*cMC*coupl(    &
               nGC_197)**2d0*rMC - 18d0*cMC*coupl(nGC_2)**2d0*rMC + 9d0*cMC*   &
               coupl(nGC_207)**2d0*rMC - 36d0*cMC*coupl(nGC_207)*coupl(nGC_210 &
               )*rMC + 9d0*cMC*coupl(nGC_210)**2d0*rMC)/(18d0*rMC))/(16d0*pi** &
               2d0)
  end if 
end subroutine set_ctparameter71
end module ctparameter71
